> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove group from directory user



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json delete /v1/directory/{id}/group
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/directory/{id}/group:
    delete:
      tags:
        - Directory
      summary: Remove group from directory user
      operationId: DirectoryController_removeGroupFromUser
      parameters:
        - name: id
          required: true
          in: path
          description: Directory user ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupUserDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    GroupUserDto:
      type: object
      properties:
        group:
          type: string
          enum:
            - VIP
            - ADMIN
            - EXTERNAL
            - TECHNICAL
            - FINANCIAL
            - NHI
          description: Group to assign to the directory user
      required:
        - group
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````